ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::FilterSet Class Reference

FilterSet model object. More...

`#include <ome/xml/model/FilterSet.h>`

Inheritance diagram for ome::xml::model::FilterSet:
[legend]
Collaboration diagram for ome::xml::model::FilterSet:
[legend]

## Classes
class | Impl
| Private implementation details of FilterSet model object. More...

## Public Member Functions
| FilterSet ()
| Default constructor.
| FilterSet (const FilterSet &copy)
| Copy constructor. More...
virtual | ~FilterSet ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedExcitationFilterList () const
| Get size of linked ExcitationFilter list. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type | getLinkedExcitationFilterList () const
| Get the linked ExcitationFilter list. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | getLinkedExcitationFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ExcitationFilter. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | setLinkedExcitationFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Filter > &excitationFilter)
| Set linked ExcitationFilter. More...
bool | linkExcitationFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &excitationFilter)
| Link ExcitationFilter. More...
bool | unlinkExcitationFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &excitationFilter)
| Unlink ExcitationFilter. More...
ome::compat::weak_ptr< ome::xml::model::Dichroic > | getLinkedDichroic ()
| Get linked Dichroic. More...
const ome::compat::weak_ptr< ome::xml::model::Dichroic > | getLinkedDichroic () const
| Get linked Dichroic. More...
void | linkDichroic (ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic)
| Link Dichroic. More...
void | unlinkDichroic (ome::compat::shared_ptr< ome::xml::model::Dichroic > &dichroic)
| Unlink Dichroic. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedEmissionFilterList () const
| Get size of linked EmissionFilter list. More...
OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type | getLinkedEmissionFilterList () const
| Get the linked EmissionFilter list. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | getLinkedEmissionFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index) const
| Get linked EmissionFilter. More...
const ome::compat::weak_ptr< ome::xml::model::Filter > & | setLinkedEmissionFilter (OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Filter > &emissionFilter)
| Set linked EmissionFilter. More...
bool | linkEmissionFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &emissionFilter)
| Link EmissionFilter. More...
bool | unlinkEmissionFilter (const ome::compat::shared_ptr< ome::xml::model::Filter > &emissionFilter)
| Unlink EmissionFilter. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedChannelList () const
| Get size of linked Channel list. More...
OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type | getLinkedChannelList () const
| Get the linked Channel list. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | getLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Channel. More...
const ome::compat::weak_ptr< ome::xml::model::Channel > & | setLinkedChannel (OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Set linked Channel. More...
bool | linkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Link Channel. More...
bool | unlinkChannel (const ome::compat::shared_ptr< ome::xml::model::Channel > &channel_BackReference)
| Unlink Channel. More...
ome::compat::weak_ptr< ome::xml::model::Instrument > | getInstrument ()
| Get the Instrument property. More...
const ome::compat::weak_ptr< ome::xml::model::Instrument > | getInstrument () const
| Get the Instrument property. More...
void | setInstrument (ome::compat::weak_ptr< ome::xml::model::Instrument > &instrument_BackReference)
| Set the Instrument property. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::ManufacturerSpec
| ManufacturerSpec ()
| Default constructor.
| ManufacturerSpec (const ManufacturerSpec &copy)
| Copy constructor. More...
virtual | ~ManufacturerSpec ()
| Destructor.
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< std::string > | getLotNumber ()
| Get the LotNumber property. More...
const ome::compat::shared_ptr< std::string > | getLotNumber () const
| Get the LotNumber property. More...
void | setLotNumber (ome::compat::shared_ptr< std::string > &lotNumber)
| Set the LotNumber property. More...
ome::compat::shared_ptr< std::string > | getModel ()
| Get the Model property. More...
const ome::compat::shared_ptr< std::string > | getModel () const
| Get the Model property. More...
void | setModel (ome::compat::shared_ptr< std::string > &model)
| Set the Model property. More...
ome::compat::shared_ptr< std::string > | getSerialNumber ()
| Get the SerialNumber property. More...
const ome::compat::shared_ptr< std::string > | getSerialNumber () const
| Get the SerialNumber property. More...
void | setSerialNumber (ome::compat::shared_ptr< std::string > &serialNumber)
| Set the SerialNumber property. More...
ome::compat::shared_ptr< std::string > | getManufacturer ()
| Get the Manufacturer property. More...
const ome::compat::shared_ptr< std::string > | getManufacturer () const
| Get the Manufacturer property. More...
void | setManufacturer (ome::compat::shared_ptr< std::string > &manufacturer)
| Set the Manufacturer property. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< FilterSet > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a FilterSet model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
FilterSet & | operator= (const FilterSet &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

FilterSet model object.

## Constructor & Destructor Documentation

## § FilterSet()

ome::xml::model::FilterSet::FilterSet | ( | const FilterSet & | copy | ) |

Copy constructor.

Parameters

  copy | the FilterSet to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::FilterSet::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Reimplemented from ome::xml::model::ManufacturerSpec.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::FilterSet::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Reimplemented from ome::xml::model::ManufacturerSpec.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::ManufacturerSpec::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< FilterSet > ome::xml::model::FilterSet::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a FilterSet model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::Instrument::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::FilterSet::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getID()

const std::string & ome::xml::model::FilterSet::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getInstrument() [1/2]

ome::compat::weak_ptr< ome::xml::model::Instrument > ome::xml::model::FilterSet::getInstrument | ( |  | ) |

Get the Instrument property.

Returns
  the Instrument property.

References impl.

## § getInstrument() [2/2]

const ome::compat::weak_ptr< ome::xml::model::Instrument > ome::xml::model::FilterSet::getInstrument | ( |  | ) | const

Get the Instrument property.

Returns
  the Instrument property.

References impl.

## § getLinkedChannel()

const ome::compat::weak_ptr< ome::xml::model::Channel > & ome::xml::model::FilterSet::getLinkedChannel | ( | OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Channel.

Parameters

  index | the index number of the Channel.

Returns
  a weak pointer to the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedChannelList()

OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type ome::xml::model::FilterSet::getLinkedChannelList | ( |  | ) | const

Get the linked Channel list.

Returns
  a reference to the list.

References impl.

## § getLinkedDichroic() [1/2]

ome::compat::weak_ptr< ome::xml::model::Dichroic > ome::xml::model::FilterSet::getLinkedDichroic | ( |  | ) |

Get linked Dichroic.

Returns
  the linked Dichroic. The pointer may be null.

References impl.

## § getLinkedDichroic() [2/2]

const ome::compat::weak_ptr< ome::xml::model::Dichroic > ome::xml::model::FilterSet::getLinkedDichroic | ( |  | ) | const

Get linked Dichroic.

Returns
  the linked Dichroic. The pointer may be null.

References impl.

## § getLinkedEmissionFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::FilterSet::getLinkedEmissionFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked EmissionFilter.

Parameters

  index | the index number of the EmissionFilter.

Returns
  a weak pointer to the EmissionFilter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedEmissionFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type ome::xml::model::FilterSet::getLinkedEmissionFilterList | ( |  | ) | const

Get the linked EmissionFilter list.

Returns
  a reference to the list.

References impl.

## § getLinkedExcitationFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::FilterSet::getLinkedExcitationFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ExcitationFilter.

Parameters

  index | the index number of the ExcitationFilter.

Returns
  a weak pointer to the ExcitationFilter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedExcitationFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type ome::xml::model::FilterSet::getLinkedExcitationFilterList | ( |  | ) | const

Get the linked ExcitationFilter list.

Returns
  a reference to the list.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::FilterSet::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::FilterSet::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::ManufacturerSpec::link(), ome::xml::model::Dichroic::linkFilterSet(), ome::xml::model::Filter::linkFilterSetEmissionFilter(), ome::xml::model::Filter::linkFilterSetExcitationFilter(), and ome::xml::model::detail::OMEModelObject::logger.

## § linkChannel()

bool ome::xml::model::FilterSet::linkChannel | ( | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference | ) |

Link Channel.

Parameters

  channel_BackReference | the Channel to link.

Returns
  `true` if the object was added to the internal channels list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

Referenced by ome::xml::model::Channel::link().

Here is the caller graph for this function:

## § linkDichroic()

void ome::xml::model::FilterSet::linkDichroic | ( | ome::compat::shared_ptr< ome::xml::model::Dichroic > & | dichroic | ) |

Link Dichroic.

Parameters

  dichroic | the Dichroic to link.

References impl.

## § linkEmissionFilter()

bool ome::xml::model::FilterSet::linkEmissionFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | emissionFilter | ) |

Link EmissionFilter.

Parameters

  emissionFilter | the EmissionFilter to link.

Returns
  `true` if the object was added to the internal emissionFilterLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkExcitationFilter()

bool ome::xml::model::FilterSet::linkExcitationFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | excitationFilter | ) |

Link ExcitationFilter.

Parameters

  excitationFilter | the ExcitationFilter to link.

Returns
  `true` if the object was added to the internal excitationFilterLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § setID()

void ome::xml::model::FilterSet::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setInstrument()

void ome::xml::model::FilterSet::setInstrument | ( | ome::compat::weak_ptr< ome::xml::model::Instrument > & | instrument_BackReference | ) |

Set the Instrument property.

Parameters

  instrument_BackReference | the value to set.

References impl.

## § setLinkedChannel()

const ome::compat::weak_ptr< ome::xml::model::Channel > & ome::xml::model::FilterSet::setLinkedChannel | ( | OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference
| ) |  |

Set linked Channel.

Note
  The index must be valid.

Parameters

  index | the index number of the Channel.
  channel_BackReference | the Channel to set.

Returns
  a weak pointer to the Channel.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedEmissionFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::FilterSet::setLinkedEmissionFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Filter > & | emissionFilter
| ) |  |

Set linked EmissionFilter.

Note
  The index must be valid.

Parameters

  index | the index number of the EmissionFilter.
  emissionFilter | the EmissionFilter to set.

Returns
  a weak pointer to the EmissionFilter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedExcitationFilter()

const ome::compat::weak_ptr< ome::xml::model::Filter > & ome::xml::model::FilterSet::setLinkedExcitationFilter | ( | OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Filter > & | excitationFilter
| ) |  |

Set linked ExcitationFilter.

Note
  The index must be valid.

Parameters

  index | the index number of the ExcitationFilter.
  excitationFilter | the ExcitationFilter to set.

Returns
  a weak pointer to the ExcitationFilter.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § sizeOfLinkedChannelList()

OMEModelObject::indexed_container< ome::xml::model::Channel, ome::compat::weak_ptr >::type::size_type ome::xml::model::FilterSet::sizeOfLinkedChannelList | ( |  | ) | const

Get size of linked Channel list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedEmissionFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type ome::xml::model::FilterSet::sizeOfLinkedEmissionFilterList | ( |  | ) | const

Get size of linked EmissionFilter list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedExcitationFilterList()

OMEModelObject::indexed_container< ome::xml::model::Filter, ome::compat::weak_ptr >::type::size_type ome::xml::model::FilterSet::sizeOfLinkedExcitationFilterList | ( |  | ) | const

Get size of linked ExcitationFilter list.

Returns
  the size of the list.

References impl.

## § unlinkChannel()

bool ome::xml::model::FilterSet::unlinkChannel | ( | const ome::compat::shared_ptr< ome::xml::model::Channel > & | channel_BackReference | ) |

Unlink Channel.

Parameters

  channel_BackReference | the Channel to unlink.

Returns
  `true` if the Channel was unlinked, otherwise `false` if the Channel was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkDichroic()

void ome::xml::model::FilterSet::unlinkDichroic | ( | ome::compat::shared_ptr< ome::xml::model::Dichroic > & | dichroic | ) |

Unlink Dichroic.

Parameters

  dichroic | the Dichroic to unlink.

Todo:
  This method is fairly pointless since it's equivalent to linking a null pointer. It could call `link(0)` internally.

References impl.

## § unlinkEmissionFilter()

bool ome::xml::model::FilterSet::unlinkEmissionFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | emissionFilter | ) |

Unlink EmissionFilter.

Parameters

  emissionFilter | the EmissionFilter to unlink.

Returns
  `true` if the EmissionFilter was unlinked, otherwise `false` if the EmissionFilter was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkExcitationFilter()

bool ome::xml::model::FilterSet::unlinkExcitationFilter | ( | const ome::compat::shared_ptr< ome::xml::model::Filter > & | excitationFilter | ) |

Unlink ExcitationFilter.

Parameters

  excitationFilter | the ExcitationFilter to unlink.

Returns
  `true` if the ExcitationFilter was unlinked, otherwise `false` if the ExcitationFilter was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::FilterSet::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Reimplemented from ome::xml::model::ManufacturerSpec.

References ome::xml::model::OMEModel::addModelObject(), ome::xml::model::OMEModel::addReference(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setID(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::ManufacturerSpec::update(), and validElementName().

## § validElementName()

bool ome::xml::model::FilterSet::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::ManufacturerSpec::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/FilterSet.h
- ome/xml/model/FilterSet.cpp